Bug 97745 - [NEWHELP] Use system browser to display local help pages
Summary: [NEWHELP] Use system browser to display local help pages
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Olivier Hallot
QA Contact:
URL:
Whiteboard: target:5.3.0 target:6.0.0
Keywords:
Depends on: 106320 106574
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2016-02-11 12:07 UTC by Olivier Hallot
Modified: 2017-08-12 22:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2016-02-11 12:07:33 UTC
This task is part of bug 97629

Display in local system browser

This task will make the help content display in a modern browser such as MS Edge, Firefox, Google or Safari and their associated derivatives. 

Once the help button is pressed, LibreOffice will call the browser passing an URL with the file or service necessary to display the current help content. 

The current help content is in XML files. These XMLs will be transformed into HTML5, with the necessary enhanced CSS to be rendered in the browser either in a new window or in a new tab. The navigation of the help content shall be initially the same as the primitive internal browser.

More information in 
https://wiki.documentfoundation.org/Help_Content_Modernization

Relevant info as well
https://wiki.openoffice.org/wiki/Category:Documentation/OnlineHelp

https://wiki.openoffice.org/wiki/Documentation/Extensible_Help

https://wiki.openoffice.org/wiki/Help_Viewer

Skills: Build, xml, C++, Makefile
Comment 1 Cor Nouws 2016-02-11 12:49:56 UTC
Nice :)
Comment 2 Commit Notification 2016-10-21 20:27:41 UTC
Fabio Bioccetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=f6f7781565812712d41180f312289ad65c46ff78

tdf#97745 Help pages in browser (WIP)
Comment 5 Commit Notification 2016-11-23 21:13:34 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=6025b3e9288965cebf6d5ee7bff8bf4338d1391e

tdf#97745 (part) tweaks in CSS & XSLT
Comment 6 Xisco Faulí 2017-07-13 10:50:20 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 7 Commit Notification 2017-07-17 14:38:51 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=e9e6c25c54de48394ca994073aa837de529dc89e

tdf#97745 Help-in-browser (x) refactor contents
Comment 8 Commit Notification 2017-07-23 21:34:50 UTC
Buovjaga committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7f87a5f65fe80d0262a96b43ee14edae33a09948

tdf#97745 Use system browser to display help pages
Comment 9 Commit Notification 2017-07-23 21:36:15 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=46fc2324d0db000581fcbe5c55838bd58187a6fb

tdf#97745 code cleanup
Comment 10 Commit Notification 2017-07-25 14:57:35 UTC
Buovjaga committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d91a31ef72b13ae5aa135ef468771254bd31bf1a

tdf#97745 Enhance help page layout
Comment 11 Commit Notification 2017-07-26 15:16:39 UTC
Buovjaga committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=a0efca32e5ebee152776ac81f8e4f59892faead0

tdf#97745 Fix width on wide screens
Comment 12 Commit Notification 2017-07-29 14:38:04 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=4d6f86d203814a211eae9dfacd4baf195ca4ff1d

tdf#97745 housekeeping
Comment 13 Commit Notification 2017-08-02 04:02:03 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9f9cebab254146cbae0a093626ed78801e85b98f

tdf#97745 Handle offline browser help
Comment 14 Commit Notification 2017-08-02 12:57:05 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94bbc7afdd90a2551a8efe9e215f8d4800358032

tdf#97745 rename index,html to LOHelp.html

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2017-08-02 23:34:35 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46b9d35ceaba80ce73fb0b4b5a87dbdf0a674628

tdf#97745 use lowercase names for file

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2017-08-06 20:25:43 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=ae4b238aec8977510b63b5a30c71e0aa933c279a

tdf#97745 use lowercase for file names
Comment 17 Commit Notification 2017-08-12 22:00:52 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=5f88c56e4312f3527f2f953e5ed2dc4ea5438701

tdf#97745 Enable page debug for 6.0